depends = ('ITKPyBase', 'ITKImageGrid', 'ITKCommon', )
templates = (
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIRGBUC2IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIRGBUC3IRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIRGBUC4IRGBUC4', 'itk::Image< itk::RGBPixel< unsigned char >,4 >, itk::Image< itk::RGBPixel< unsigned char >,4 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIRGBAUC2IRGBAUC2', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIRGBAUC3IRGBAUC3', 'itk::Image< itk::RGBAPixel< unsigned char >,3 >, itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIRGBAUC4IRGBAUC4', 'itk::Image< itk::RGBAPixel< unsigned char >,4 >, itk::Image< itk::RGBAPixel< unsigned char >,4 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIVD22IVD22', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIVD33IVD33', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIVD44IVD44', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIVF44IVF44', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICVD22ICVD22', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICVD33ICVD33', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICVD44ICVD44', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< itk::CovariantVector< double,4 >,4 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICVF44ICVF44', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICD2ICD2', 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICD3ICD3', 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICD4ICD4', 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICF2ICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICF3ICF3', 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >'),
  ('FFTShiftImageFilter', 'itk::FFTShiftImageFilter', 'itkFFTShiftImageFilterICF4ICF4', 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >'),
  ('ForwardFFTImageFilter', 'itk::ForwardFFTImageFilter', 'itkForwardFFTImageFilterIF2ICF2', 'itk::Image< float,2 >, itk::Image< std::complex< float >,2 >'),
  ('ForwardFFTImageFilter', 'itk::ForwardFFTImageFilter', 'itkForwardFFTImageFilterID2ICD2', 'itk::Image< double,2 >, itk::Image< std::complex< double >,2 >'),
  ('ForwardFFTImageFilter', 'itk::ForwardFFTImageFilter', 'itkForwardFFTImageFilterIF3ICF3', 'itk::Image< float,3 >, itk::Image< std::complex< float >,3 >'),
  ('ForwardFFTImageFilter', 'itk::ForwardFFTImageFilter', 'itkForwardFFTImageFilterID3ICD3', 'itk::Image< double,3 >, itk::Image< std::complex< double >,3 >'),
  ('ForwardFFTImageFilter', 'itk::ForwardFFTImageFilter', 'itkForwardFFTImageFilterIF4ICF4', 'itk::Image< float,4 >, itk::Image< std::complex< float >,4 >'),
  ('ForwardFFTImageFilter', 'itk::ForwardFFTImageFilter', 'itkForwardFFTImageFilterID4ICD4', 'itk::Image< double,4 >, itk::Image< std::complex< double >,4 >'),
  ('FullToHalfHermitianImageFilter', 'itk::FullToHalfHermitianImageFilter', 'itkFullToHalfHermitianImageFilterICD2', 'itk::Image< std::complex< double >,2 >'),
  ('FullToHalfHermitianImageFilter', 'itk::FullToHalfHermitianImageFilter', 'itkFullToHalfHermitianImageFilterICD3', 'itk::Image< std::complex< double >,3 >'),
  ('FullToHalfHermitianImageFilter', 'itk::FullToHalfHermitianImageFilter', 'itkFullToHalfHermitianImageFilterICD4', 'itk::Image< std::complex< double >,4 >'),
  ('FullToHalfHermitianImageFilter', 'itk::FullToHalfHermitianImageFilter', 'itkFullToHalfHermitianImageFilterICF2', 'itk::Image< std::complex< float >,2 >'),
  ('FullToHalfHermitianImageFilter', 'itk::FullToHalfHermitianImageFilter', 'itkFullToHalfHermitianImageFilterICF3', 'itk::Image< std::complex< float >,3 >'),
  ('FullToHalfHermitianImageFilter', 'itk::FullToHalfHermitianImageFilter', 'itkFullToHalfHermitianImageFilterICF4', 'itk::Image< std::complex< float >,4 >'),
  ('HalfHermitianToRealInverseFFTImageFilter', 'itk::HalfHermitianToRealInverseFFTImageFilter', 'itkHalfHermitianToRealInverseFFTImageFilterICF2IF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('HalfHermitianToRealInverseFFTImageFilter', 'itk::HalfHermitianToRealInverseFFTImageFilter', 'itkHalfHermitianToRealInverseFFTImageFilterICD2ID2', 'itk::Image< std::complex< double >,2 >, itk::Image< double,2 >'),
  ('HalfHermitianToRealInverseFFTImageFilter', 'itk::HalfHermitianToRealInverseFFTImageFilter', 'itkHalfHermitianToRealInverseFFTImageFilterICF3IF3', 'itk::Image< std::complex< float >,3 >, itk::Image< float,3 >'),
  ('HalfHermitianToRealInverseFFTImageFilter', 'itk::HalfHermitianToRealInverseFFTImageFilter', 'itkHalfHermitianToRealInverseFFTImageFilterICD3ID3', 'itk::Image< std::complex< double >,3 >, itk::Image< double,3 >'),
  ('HalfHermitianToRealInverseFFTImageFilter', 'itk::HalfHermitianToRealInverseFFTImageFilter', 'itkHalfHermitianToRealInverseFFTImageFilterICF4IF4', 'itk::Image< std::complex< float >,4 >, itk::Image< float,4 >'),
  ('HalfHermitianToRealInverseFFTImageFilter', 'itk::HalfHermitianToRealInverseFFTImageFilter', 'itkHalfHermitianToRealInverseFFTImageFilterICD4ID4', 'itk::Image< std::complex< double >,4 >, itk::Image< double,4 >'),
  ('HalfToFullHermitianImageFilter', 'itk::HalfToFullHermitianImageFilter', 'itkHalfToFullHermitianImageFilterICD2', 'itk::Image< std::complex< double >,2 >'),
  ('HalfToFullHermitianImageFilter', 'itk::HalfToFullHermitianImageFilter', 'itkHalfToFullHermitianImageFilterICD3', 'itk::Image< std::complex< double >,3 >'),
  ('HalfToFullHermitianImageFilter', 'itk::HalfToFullHermitianImageFilter', 'itkHalfToFullHermitianImageFilterICD4', 'itk::Image< std::complex< double >,4 >'),
  ('HalfToFullHermitianImageFilter', 'itk::HalfToFullHermitianImageFilter', 'itkHalfToFullHermitianImageFilterICF2', 'itk::Image< std::complex< float >,2 >'),
  ('HalfToFullHermitianImageFilter', 'itk::HalfToFullHermitianImageFilter', 'itkHalfToFullHermitianImageFilterICF3', 'itk::Image< std::complex< float >,3 >'),
  ('HalfToFullHermitianImageFilter', 'itk::HalfToFullHermitianImageFilter', 'itkHalfToFullHermitianImageFilterICF4', 'itk::Image< std::complex< float >,4 >'),
  ('InverseFFTImageFilter', 'itk::InverseFFTImageFilter', 'itkInverseFFTImageFilterICF2IF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('InverseFFTImageFilter', 'itk::InverseFFTImageFilter', 'itkInverseFFTImageFilterICD2ID2', 'itk::Image< std::complex< double >,2 >, itk::Image< double,2 >'),
  ('InverseFFTImageFilter', 'itk::InverseFFTImageFilter', 'itkInverseFFTImageFilterICF3IF3', 'itk::Image< std::complex< float >,3 >, itk::Image< float,3 >'),
  ('InverseFFTImageFilter', 'itk::InverseFFTImageFilter', 'itkInverseFFTImageFilterICD3ID3', 'itk::Image< std::complex< double >,3 >, itk::Image< double,3 >'),
  ('InverseFFTImageFilter', 'itk::InverseFFTImageFilter', 'itkInverseFFTImageFilterICF4IF4', 'itk::Image< std::complex< float >,4 >, itk::Image< float,4 >'),
  ('InverseFFTImageFilter', 'itk::InverseFFTImageFilter', 'itkInverseFFTImageFilterICD4ID4', 'itk::Image< std::complex< double >,4 >, itk::Image< double,4 >'),
  ('MagnitudeAndPhaseToComplexImageFilter', 'itk::MagnitudeAndPhaseToComplexImageFilter', 'itkMagnitudeAndPhaseToComplexImageFilterIF2IF2ICD2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::Image< std::complex< double >,2 >'),
  ('MagnitudeAndPhaseToComplexImageFilter', 'itk::MagnitudeAndPhaseToComplexImageFilter', 'itkMagnitudeAndPhaseToComplexImageFilterIF2IF2ICF2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::Image< std::complex< float >,2 >'),
  ('MagnitudeAndPhaseToComplexImageFilter', 'itk::MagnitudeAndPhaseToComplexImageFilter', 'itkMagnitudeAndPhaseToComplexImageFilterID2ID2ICD2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::Image< std::complex< double >,2 >'),
  ('MagnitudeAndPhaseToComplexImageFilter', 'itk::MagnitudeAndPhaseToComplexImageFilter', 'itkMagnitudeAndPhaseToComplexImageFilterID2ID2ICF2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::Image< std::complex< float >,2 >'),
  ('MagnitudeAndPhaseToComplexImageFilter', 'itk::MagnitudeAndPhaseToComplexImageFilter', 'itkMagnitudeAndPhaseToComplexImageFilterIF3IF3ICD3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::Image< std::complex< double >,3 >'),
  ('MagnitudeAndPhaseToComplexImageFilter', 'itk::MagnitudeAndPhaseToComplexImageFilter', 'itkMagnitudeAndPhaseToComplexImageFilterIF3IF3ICF3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::Image< std::complex< float >,3 >'),
  ('MagnitudeAndPhaseToComplexImageFilter', 'itk::MagnitudeAndPhaseToComplexImageFilter', 'itkMagnitudeAndPhaseToComplexImageFilterID3ID3ICD3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::Image< std::complex< double >,3 >'),
  ('MagnitudeAndPhaseToComplexImageFilter', 'itk::MagnitudeAndPhaseToComplexImageFilter', 'itkMagnitudeAndPhaseToComplexImageFilterID3ID3ICF3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::Image< std::complex< float >,3 >'),
  ('MagnitudeAndPhaseToComplexImageFilter', 'itk::MagnitudeAndPhaseToComplexImageFilter', 'itkMagnitudeAndPhaseToComplexImageFilterIF4IF4ICD4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::Image< std::complex< double >,4 >'),
  ('MagnitudeAndPhaseToComplexImageFilter', 'itk::MagnitudeAndPhaseToComplexImageFilter', 'itkMagnitudeAndPhaseToComplexImageFilterIF4IF4ICF4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::Image< std::complex< float >,4 >'),
  ('MagnitudeAndPhaseToComplexImageFilter', 'itk::MagnitudeAndPhaseToComplexImageFilter', 'itkMagnitudeAndPhaseToComplexImageFilterID4ID4ICD4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::Image< std::complex< double >,4 >'),
  ('MagnitudeAndPhaseToComplexImageFilter', 'itk::MagnitudeAndPhaseToComplexImageFilter', 'itkMagnitudeAndPhaseToComplexImageFilterID4ID4ICF4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::Image< std::complex< float >,4 >'),
  ('RealToHalfHermitianForwardFFTImageFilter', 'itk::RealToHalfHermitianForwardFFTImageFilter', 'itkRealToHalfHermitianForwardFFTImageFilterIF2ICF2', 'itk::Image< float,2 >, itk::Image< std::complex< float >,2 >'),
  ('RealToHalfHermitianForwardFFTImageFilter', 'itk::RealToHalfHermitianForwardFFTImageFilter', 'itkRealToHalfHermitianForwardFFTImageFilterID2ICD2', 'itk::Image< double,2 >, itk::Image< std::complex< double >,2 >'),
  ('RealToHalfHermitianForwardFFTImageFilter', 'itk::RealToHalfHermitianForwardFFTImageFilter', 'itkRealToHalfHermitianForwardFFTImageFilterIF3ICF3', 'itk::Image< float,3 >, itk::Image< std::complex< float >,3 >'),
  ('RealToHalfHermitianForwardFFTImageFilter', 'itk::RealToHalfHermitianForwardFFTImageFilter', 'itkRealToHalfHermitianForwardFFTImageFilterID3ICD3', 'itk::Image< double,3 >, itk::Image< std::complex< double >,3 >'),
  ('RealToHalfHermitianForwardFFTImageFilter', 'itk::RealToHalfHermitianForwardFFTImageFilter', 'itkRealToHalfHermitianForwardFFTImageFilterIF4ICF4', 'itk::Image< float,4 >, itk::Image< std::complex< float >,4 >'),
  ('RealToHalfHermitianForwardFFTImageFilter', 'itk::RealToHalfHermitianForwardFFTImageFilter', 'itkRealToHalfHermitianForwardFFTImageFilterID4ICD4', 'itk::Image< double,4 >, itk::Image< std::complex< double >,4 >'),
  ('VnlForwardFFTImageFilter', 'itk::VnlForwardFFTImageFilter', 'itkVnlForwardFFTImageFilterIF2ICF2', 'itk::Image< float,2 >, itk::Image< std::complex< float >,2 >'),
  ('VnlForwardFFTImageFilter', 'itk::VnlForwardFFTImageFilter', 'itkVnlForwardFFTImageFilterID2ICD2', 'itk::Image< double,2 >, itk::Image< std::complex< double >,2 >'),
  ('VnlForwardFFTImageFilter', 'itk::VnlForwardFFTImageFilter', 'itkVnlForwardFFTImageFilterIF3ICF3', 'itk::Image< float,3 >, itk::Image< std::complex< float >,3 >'),
  ('VnlForwardFFTImageFilter', 'itk::VnlForwardFFTImageFilter', 'itkVnlForwardFFTImageFilterID3ICD3', 'itk::Image< double,3 >, itk::Image< std::complex< double >,3 >'),
  ('VnlForwardFFTImageFilter', 'itk::VnlForwardFFTImageFilter', 'itkVnlForwardFFTImageFilterIF4ICF4', 'itk::Image< float,4 >, itk::Image< std::complex< float >,4 >'),
  ('VnlForwardFFTImageFilter', 'itk::VnlForwardFFTImageFilter', 'itkVnlForwardFFTImageFilterID4ICD4', 'itk::Image< double,4 >, itk::Image< std::complex< double >,4 >'),
  ('VnlHalfHermitianToRealInverseFFTImageFilter', 'itk::VnlHalfHermitianToRealInverseFFTImageFilter', 'itkVnlHalfHermitianToRealInverseFFTImageFilterICF2IF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('VnlHalfHermitianToRealInverseFFTImageFilter', 'itk::VnlHalfHermitianToRealInverseFFTImageFilter', 'itkVnlHalfHermitianToRealInverseFFTImageFilterICD2ID2', 'itk::Image< std::complex< double >,2 >, itk::Image< double,2 >'),
  ('VnlHalfHermitianToRealInverseFFTImageFilter', 'itk::VnlHalfHermitianToRealInverseFFTImageFilter', 'itkVnlHalfHermitianToRealInverseFFTImageFilterICF3IF3', 'itk::Image< std::complex< float >,3 >, itk::Image< float,3 >'),
  ('VnlHalfHermitianToRealInverseFFTImageFilter', 'itk::VnlHalfHermitianToRealInverseFFTImageFilter', 'itkVnlHalfHermitianToRealInverseFFTImageFilterICD3ID3', 'itk::Image< std::complex< double >,3 >, itk::Image< double,3 >'),
  ('VnlHalfHermitianToRealInverseFFTImageFilter', 'itk::VnlHalfHermitianToRealInverseFFTImageFilter', 'itkVnlHalfHermitianToRealInverseFFTImageFilterICF4IF4', 'itk::Image< std::complex< float >,4 >, itk::Image< float,4 >'),
  ('VnlHalfHermitianToRealInverseFFTImageFilter', 'itk::VnlHalfHermitianToRealInverseFFTImageFilter', 'itkVnlHalfHermitianToRealInverseFFTImageFilterICD4ID4', 'itk::Image< std::complex< double >,4 >, itk::Image< double,4 >'),
  ('VnlInverseFFTImageFilter', 'itk::VnlInverseFFTImageFilter', 'itkVnlInverseFFTImageFilterICF2IF2', 'itk::Image< std::complex< float >,2 >, itk::Image< float,2 >'),
  ('VnlInverseFFTImageFilter', 'itk::VnlInverseFFTImageFilter', 'itkVnlInverseFFTImageFilterICD2ID2', 'itk::Image< std::complex< double >,2 >, itk::Image< double,2 >'),
  ('VnlInverseFFTImageFilter', 'itk::VnlInverseFFTImageFilter', 'itkVnlInverseFFTImageFilterICF3IF3', 'itk::Image< std::complex< float >,3 >, itk::Image< float,3 >'),
  ('VnlInverseFFTImageFilter', 'itk::VnlInverseFFTImageFilter', 'itkVnlInverseFFTImageFilterICD3ID3', 'itk::Image< std::complex< double >,3 >, itk::Image< double,3 >'),
  ('VnlInverseFFTImageFilter', 'itk::VnlInverseFFTImageFilter', 'itkVnlInverseFFTImageFilterICF4IF4', 'itk::Image< std::complex< float >,4 >, itk::Image< float,4 >'),
  ('VnlInverseFFTImageFilter', 'itk::VnlInverseFFTImageFilter', 'itkVnlInverseFFTImageFilterICD4ID4', 'itk::Image< std::complex< double >,4 >, itk::Image< double,4 >'),
  ('VnlRealToHalfHermitianForwardFFTImageFilter', 'itk::VnlRealToHalfHermitianForwardFFTImageFilter', 'itkVnlRealToHalfHermitianForwardFFTImageFilterIF2ICF2', 'itk::Image< float,2 >, itk::Image< std::complex< float >,2 >'),
  ('VnlRealToHalfHermitianForwardFFTImageFilter', 'itk::VnlRealToHalfHermitianForwardFFTImageFilter', 'itkVnlRealToHalfHermitianForwardFFTImageFilterID2ICD2', 'itk::Image< double,2 >, itk::Image< std::complex< double >,2 >'),
  ('VnlRealToHalfHermitianForwardFFTImageFilter', 'itk::VnlRealToHalfHermitianForwardFFTImageFilter', 'itkVnlRealToHalfHermitianForwardFFTImageFilterIF3ICF3', 'itk::Image< float,3 >, itk::Image< std::complex< float >,3 >'),
  ('VnlRealToHalfHermitianForwardFFTImageFilter', 'itk::VnlRealToHalfHermitianForwardFFTImageFilter', 'itkVnlRealToHalfHermitianForwardFFTImageFilterID3ICD3', 'itk::Image< double,3 >, itk::Image< std::complex< double >,3 >'),
  ('VnlRealToHalfHermitianForwardFFTImageFilter', 'itk::VnlRealToHalfHermitianForwardFFTImageFilter', 'itkVnlRealToHalfHermitianForwardFFTImageFilterIF4ICF4', 'itk::Image< float,4 >, itk::Image< std::complex< float >,4 >'),
  ('VnlRealToHalfHermitianForwardFFTImageFilter', 'itk::VnlRealToHalfHermitianForwardFFTImageFilter', 'itkVnlRealToHalfHermitianForwardFFTImageFilterID4ICD4', 'itk::Image< double,4 >, itk::Image< std::complex< double >,4 >'),
)
