depends = ('ITKPyBase', 'ITKImageFilterBase', )
templates = (
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterISS2VISS2', 'itk::Image< signed short,2 >, itk::VectorImage< signed short,2 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIUC2VIUC2', 'itk::Image< unsigned char,2 >, itk::VectorImage< unsigned char,2 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIF2VIF2', 'itk::Image< float,2 >, itk::VectorImage< float,2 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterID2VID2', 'itk::Image< double,2 >, itk::VectorImage< double,2 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterISS3VISS3', 'itk::Image< signed short,3 >, itk::VectorImage< signed short,3 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIUC3VIUC3', 'itk::Image< unsigned char,3 >, itk::VectorImage< unsigned char,3 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIF3VIF3', 'itk::Image< float,3 >, itk::VectorImage< float,3 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterID3VID3', 'itk::Image< double,3 >, itk::VectorImage< double,3 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterISS4VISS4', 'itk::Image< signed short,4 >, itk::VectorImage< signed short,4 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIUC4VIUC4', 'itk::Image< unsigned char,4 >, itk::VectorImage< unsigned char,4 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIF4VIF4', 'itk::Image< float,4 >, itk::VectorImage< float,4 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterID4VID4', 'itk::Image< double,4 >, itk::VectorImage< double,4 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIF2ICVF22', 'itk::Image< float,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterID2ICVD22', 'itk::Image< double,2 >, itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIF2IVF22', 'itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterID2IVD22', 'itk::Image< double,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIF3ICVF33', 'itk::Image< float,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterID3ICVD33', 'itk::Image< double,3 >, itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIF3IVF33', 'itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterID3IVD33', 'itk::Image< double,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIUC2IRGBAUC2', 'itk::Image< unsigned char,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIUC3IRGBAUC3', 'itk::Image< unsigned char,3 >, itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIUC4IRGBAUC4', 'itk::Image< unsigned char,4 >, itk::Image< itk::RGBAPixel< unsigned char >,4 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIUC2IRGBUC2', 'itk::Image< unsigned char,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIUC3IRGBUC3', 'itk::Image< unsigned char,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ComposeImageFilter', 'itk::ComposeImageFilter', 'itkComposeImageFilterIUC4IRGBUC4', 'itk::Image< unsigned char,4 >, itk::Image< itk::RGBPixel< unsigned char >,4 >'),
  ('JoinSeriesImageFilter', 'itk::JoinSeriesImageFilter', 'itkJoinSeriesImageFilterISS2ISS3', 'itk::Image< signed short,2 >,itk::Image< signed short,3 >'),
  ('JoinSeriesImageFilter', 'itk::JoinSeriesImageFilter', 'itkJoinSeriesImageFilterIUC2IUC3', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,3 >'),
  ('JoinSeriesImageFilter', 'itk::JoinSeriesImageFilter', 'itkJoinSeriesImageFilterIF2IF3', 'itk::Image< float,2 >,itk::Image< float,3 >'),
  ('JoinSeriesImageFilter', 'itk::JoinSeriesImageFilter', 'itkJoinSeriesImageFilterID2ID3', 'itk::Image< double,2 >,itk::Image< double,3 >'),
  ('JoinSeriesImageFilter', 'itk::JoinSeriesImageFilter', 'itkJoinSeriesImageFilterISS2ISS4', 'itk::Image< signed short,2 >,itk::Image< signed short,4 >'),
  ('JoinSeriesImageFilter', 'itk::JoinSeriesImageFilter', 'itkJoinSeriesImageFilterIUC2IUC4', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,4 >'),
  ('JoinSeriesImageFilter', 'itk::JoinSeriesImageFilter', 'itkJoinSeriesImageFilterIF2IF4', 'itk::Image< float,2 >,itk::Image< float,4 >'),
  ('JoinSeriesImageFilter', 'itk::JoinSeriesImageFilter', 'itkJoinSeriesImageFilterID2ID4', 'itk::Image< double,2 >,itk::Image< double,4 >'),
  ('JoinSeriesImageFilter', 'itk::JoinSeriesImageFilter', 'itkJoinSeriesImageFilterISS3ISS4', 'itk::Image< signed short,3 >,itk::Image< signed short,4 >'),
  ('JoinSeriesImageFilter', 'itk::JoinSeriesImageFilter', 'itkJoinSeriesImageFilterIUC3IUC4', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,4 >'),
  ('JoinSeriesImageFilter', 'itk::JoinSeriesImageFilter', 'itkJoinSeriesImageFilterIF3IF4', 'itk::Image< float,3 >,itk::Image< float,4 >'),
  ('JoinSeriesImageFilter', 'itk::JoinSeriesImageFilter', 'itkJoinSeriesImageFilterID3ID4', 'itk::Image< double,3 >,itk::Image< double,4 >'),
)
