depends = ('ITKPyBase', 'ITKCommon', )
templates = (
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterISS2IRGBUC2', 'itk::Image< signed short,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterISS3IRGBUC3', 'itk::Image< signed short,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterISS4IRGBUC4', 'itk::Image< signed short,4 >, itk::Image< itk::RGBPixel< unsigned char >,4 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterISS2IRGBAUC2', 'itk::Image< signed short,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterISS3IRGBAUC3', 'itk::Image< signed short,3 >, itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterISS4IRGBAUC4', 'itk::Image< signed short,4 >, itk::Image< itk::RGBAPixel< unsigned char >,4 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUC2IRGBUC2', 'itk::Image< unsigned char,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUC3IRGBUC3', 'itk::Image< unsigned char,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUC4IRGBUC4', 'itk::Image< unsigned char,4 >, itk::Image< itk::RGBPixel< unsigned char >,4 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUC2IRGBAUC2', 'itk::Image< unsigned char,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUC3IRGBAUC3', 'itk::Image< unsigned char,3 >, itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIUC4IRGBAUC4', 'itk::Image< unsigned char,4 >, itk::Image< itk::RGBAPixel< unsigned char >,4 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIF2IRGBUC2', 'itk::Image< float,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIF3IRGBUC3', 'itk::Image< float,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIF4IRGBUC4', 'itk::Image< float,4 >, itk::Image< itk::RGBPixel< unsigned char >,4 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIF2IRGBAUC2', 'itk::Image< float,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIF3IRGBAUC3', 'itk::Image< float,3 >, itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterIF4IRGBAUC4', 'itk::Image< float,4 >, itk::Image< itk::RGBAPixel< unsigned char >,4 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterID2IRGBUC2', 'itk::Image< double,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterID3IRGBUC3', 'itk::Image< double,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterID4IRGBUC4', 'itk::Image< double,4 >, itk::Image< itk::RGBPixel< unsigned char >,4 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterID2IRGBAUC2', 'itk::Image< double,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterID3IRGBAUC3', 'itk::Image< double,3 >, itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ScalarToRGBColormapImageFilter', 'itk::ScalarToRGBColormapImageFilter', 'itkScalarToRGBColormapImageFilterID4IRGBAUC4', 'itk::Image< double,4 >, itk::Image< itk::RGBAPixel< unsigned char >,4 >'),
)
